<?php

namespace Teknisa\EST\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\EST\Services\Ger27000LocalDeEstoquePorProdutoService;


class Ger27000LocalDeEstoquePorProdutoController extends \Teknisa\EST\Controllers\TeknisaCrud {
    protected $dataSourceName;
    protected $service;
     
    public function __construct($crudService, ParameterBag $parameterBag, $service) {
        $this->service = $service;
        parent::__construct($crudService, $parameterBag);
    }
    
    public function cadastroAutomaticoLocalProduto(DTO\Request $request, DTO\Response $response) {

        try{
            $this->dataSourceName = 'prodfili_arvore';
            $row = $request->getRow();
        
            $this->service->cadastroAutomaticoLocalProduto($row);
        }
        catch(\Exception $e) {
            throw $e;
        }

    
    }
}