function Est58000_RetiradaEstoque_Repository(restEngine) {
    
    this.getRequestoItens = function(filter){
        return restEngine.post('est_lancamentos#/itrequesto_retirada', {
            "requestType": "FilterData",
            "filter": filter
        });
    };

    this.saveRetirada = function(row) {
        return restEngine.post('est_lancamentos#/retirada/save', {
            "requestType": "Row",
            "row": row
        });
    };

    this.getParamFilial = function(filter) {
        return restEngine.post('est#/paramfilial_paramvalidacoes', {
            "requestType": "FilterData",
            "filter": filter
        });
    };

    this.getPosicaoDeEstoquePorProduto = function(filter) {
        return restEngine.post('est_lancamentos#/retirada_posestdia', {
            "requestType": "FilterData",
            "filter": filter
        });
    };

    this.getCdtipocusto = function(cdfilial) {
        return restEngine.post('est#/crud/paramfilial', {
            "requestType": "FilterData",
            "filter": [{
                        "name": "CDFILIAL",
                        "operator": "=",
                        "value": cdfilial
                        }]
        });
    };

    this.findItensOfRequisicao = function(filter) {
        return restEngine.post('est_lancamentos#/crud/itrequesto_itens_requisicao', {
            "requestType": "FilterData",
            "filter": filter
        });
    };
    
    this.importarProdutosTxt = function(row){
        return restEngine.post('est_lancamentos#/retirada_import_products_txt', {
            "requestType": "Row",
            "row": row
        });
    };
}

Configuration(function(ContextRegister) {
	ContextRegister.register('Est58000_RetiradaEstoque_Repository', Est58000_RetiradaEstoque_Repository);
});